#
# spec file for package qt3 (Version 3.0.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 freetype2-devel gpp gppshare libgpp libjpeg liblcms libmng libmng-devel libpng libz mesa mesa-devel mesasoft mysql-devel mysql-shared postgresql-devel xf86 xf86glu xf86glu-devel xpm yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libjpeg liblcms libmng libmng-devel libpng libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils mysql-devel mysql-shared ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl postgresql-devel ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared yacc

Name:         qt3
Copyright:    GPL/QPL
Group:        Development/Libraries/X11
Autoreqprov:  on
Summary:      Program library for developing applications with graphical user interfaces
Version:      3.0.0
Release:      18
Source0:      qt-x11-free-%{version}.tar.bz2
Source1:      qt.conf
BuildRoot:    /var/tmp/%{name}-buildroot

%description
Qt is a program library for developing applications with graphical
user interfaces. It allows you to rapidly develop professional programs.
The Qt library is available not only for Linux but for a great number
of Unices and even for Windows, as well. Thus it's possible to write
programs that may be ported to those platforms easily.
This package contains the runtime libraries of the newest Qt version
3. The current version 2.x of KDE uses Qt 2.3.x, which comes in
the package qt. You need version 3 only, if you want to
develop or at least compile programs that are based on Qt 3.
See /usr/share/doc/packages/qt3 for details about the new features
of current Qt library!

Authors:
--------
    Troll Tech AS, Norway

SuSE series: xdev

%package extensions
Version:      3.0.0
Release:      18
Summary:      Extensions of Qt 3
Group: 	      Development/Libraries/X11

%description extensions
This package contains extension libraries of Qt 3, such as netscape plugin
modules.

Authors:
--------
    Troll Tech AS, Norway

SuSE series: xdev

%package devel
Version:      3.0.0
Release:      18
Summary:      Qt 3 development kit
Requires:     qt3 xdevel
Group: 	      Development/Libraries/X11

%description devel
You need this package, if you want to compile programs with Qt 3. It
contains the "Qt Crossplatform Development Kit 2". Under /usr/lib/qt3
you find include files, documentation, precompiled examples and a tutorial
for getting started with using Qt.

Authors:
--------
    Troll Tech AS, Norway

SuSE series: xdev

%package devel-doc
Version:      3.0.0
Release:      18
Summary:      Qt 3 development kit
Requires:     qt xdevel qt-devel
Group:              Development/Libraries/X11

%description devel-doc
You need this package, if you want to compile programs with Qt 3. It
contains the "Qt Crossplatform Development Kit 2". Under /usr/lib/qt3
you find include files, documentation, precompiled examples and a tutorial
for getting started with using Qt.

Authors:
--------
    Troll Tech AS, Norway

SuSE series: xdev

%package designer
Version:      3.0.0
Release:      18
Summary:      user interface builder
Requires:     qt3-devel
Group: 	      Development/Libraries/X11

%description designer
The designer creates .ui files. The uic generates C++ code from these files.
The package contains also the QT Assistant (QT documentation browser) and the QT Linguist (for translations)

Authors:
--------
    Troll Tech <info@troll.no>

%package man
Version:      3.0.0
Release:      18
Summary:      Man pages for QT 3
Requires:     qt3-devel
Conflicts:    qtman qt-man
Group:        Development/Libraries/X11

%description man
This package contains all man pages for all QT 3 classes.

Authors:
--------
    Troll Tech AS <info@troll.no>

SuSE series: xdev

%prep
%setup -n qt-x11-free-%{version}

%build
export QTDIR=`pwd`
PLATFORM=linux-g++
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
[ "$VERSION" -lt 702 ] && OPENGL="-disable-opengl" || OPENGL=""
[ "$VERSION" -lt 703 ] && XFT="-no-xft -no-xrender " || XFT="-xft -xrender -I/usr/include/freetype2/ "
[ "$VERSION" -lt 701 ] && XINERAMA="-no-xinerama " || XINERAMA="-xinerama "
[ -e /usr/lib/libmng.so ] && LIBMNG="-system-libmng -qt-imgfmt-mng" || LIBMNG="-qt-mng "
[ "$VERSION" -gt 702 ] && PGSQL="-plugin-sql-psql -I/usr/include/pgsql/" || PGSQL=""
%ifarch ia64
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -O0"
%endif
export CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"
export LD_LIBRARY_PATH="/${PWD}/lib"
ORACLE="/opt/oracle/product/8.1.6/rdbms/demo/"
[ -d $ORACLE ] && \
  ORACLE="-plugin-sql-oci -I$ORACLE" || \
  ORACLE=""
OPTIONS="-platform $PLATFORM -shared -qt-gif -stl -release \
	 -system-zlib -system-libjpeg -system-libpng \
         -qt-imgfmt-jpeg -qt-imgfmt-png  \
	 -no-remote -xkb $LIBMNG -no-g++-exceptions \
         $OPENGL $XFT $XINERAMA -sm -no-stl \
         -plugin-sql-mysql -I/usr/include/mysql/ \
         -DQT_INSTALL_PREFIX=/usr/lib/qt3/ \
         $ORACLE $PGSQL \
	 -prefix ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}"
echo yes|./configure -no-thread $OPTIONS
make symlinks src-qmake src-moc sub-src
make src-install
make distclean
echo yes|./configure -thread $OPTIONS
make
make install

%install
#
# create links in default doc dir
#
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt3/
ln -sf /usr/lib/qt-%{version}/doc/html ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt3/
ln -sf /usr/lib/qt-%{version}/doc/tutorial ${RPM_BUILD_ROOT}/%{_defaultdocdir}/qt3/
#
# create links in ld.so.conf path
#
ln -sf qt-%{version}             ${RPM_BUILD_ROOT}/usr/lib/qt3
ln -sf qt3/lib/libqt.so.3        ${RPM_BUILD_ROOT}/usr/lib/libqt.so.3
ln -sf qt3/lib/libqt-mt.so.3     ${RPM_BUILD_ROOT}/usr/lib/libqt-mt.so.3
ln -sf qt3/lib/libqui.so.1       ${RPM_BUILD_ROOT}/usr/lib/libqui.so.1
ln -sf qt3/lib/libeditor.so.1    ${RPM_BUILD_ROOT}/usr/lib/libeditor.so.1
#
# Install SuSE help config files
#
install -d  ${RPM_BUILD_ROOT}/etc/susehelp.d
install -d  ${RPM_BUILD_ROOT}/etc/susehelp.d/htdig
install -m 0644 ../../SOURCES/qt.conf ${RPM_BUILD_ROOT}/etc/susehelp.d/qt3.conf
##### these files are not getting installed by "make install" ... bug ?
#
# install plugins
#
mkdir -p plugins/sqldrivers plugins/imageformats plugins/styles
cp -a plugins/sqldrivers   ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/plugins/
cp -a plugins/imageformats ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/plugins/
cp -a plugins/styles       ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/plugins/
#
# install manpages
#
rm -rf ${RPM_BUILD_ROOT}/%{_mandir}
install -d  ${RPM_BUILD_ROOT}/%{_mandir}
cp -a doc/man/* ${RPM_BUILD_ROOT}/%{_mandir}/
#
# install tutorial
#
install -d  ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/doc/
cp -a tutorial ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/doc/
find ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/doc/tutorial/ \
  -name \*.o -o -name .obj -o -name .moc -o -name Makefile \
  | xargs rm -rf
#
# fix broken links from make install
#
cd ${RPM_BUILD_ROOT}/usr/lib/qt-%{version}/lib/
for lib in lib*.so.?.?.?; do
  link=$lib
  while [ ${link%.so} == "$link" ]; do
    link="${link%.?}"
    ln -sf $lib $link
  done
done

%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%files
%doc 
%dir /usr/lib/qt-%{version}
%dir /usr/lib/qt-%{version}/bin
%dir /usr/lib/qt-%{version}/lib
%dir /usr/lib/qt-%{version}/plugins
%dir /usr/lib/qt3
/usr/lib/libqt-mt.so.*
/usr/lib/libqt.so.*
/usr/lib/libeditor.so.*
/usr/lib/qt-%{version}/lib/libqt-mt.so.*
/usr/lib/qt-%{version}/lib/libqt.so.*
/usr/lib/qt-%{version}/lib/libeditor.so.*

%files extensions
/usr/lib/qt-%{version}/plugins/sqldrivers
/usr/lib/qt-%{version}/plugins/imageformats
/usr/lib/qt-%{version}/plugins/styles

%files designer
/usr/lib/libqui.so.*
/usr/lib/qt-%{version}/bin/assistant
/usr/lib/qt-%{version}/bin/designer
/usr/lib/qt-%{version}/bin/linguist
/usr/lib/qt-%{version}/bin/lrelease
/usr/lib/qt-%{version}/bin/lupdate
/usr/lib/qt-%{version}/plugins/designer
/usr/lib/qt-%{version}/tools/designer

%files devel
/usr/lib/libqui.so.?
/usr/lib/qt-%{version}/bin/moc
/usr/lib/qt-%{version}/bin/qm2ts
/usr/lib/qt-%{version}/bin/qmake
/usr/lib/qt-%{version}/bin/qtconfig
/usr/lib/qt-%{version}/bin/uic
/usr/lib/qt-%{version}/include
/usr/lib/qt-%{version}/lib/lib*.so
/usr/lib/qt-%{version}/lib/libqui.so.*
/usr/lib/qt-%{version}/mkspecs

%files devel-doc
%doc /etc/susehelp.d/qt3.conf
%doc /usr/lib/qt-%{version}/doc/html
%doc /usr/lib/qt-%{version}/doc/tutorial
%doc /%{_defaultdocdir}/qt3/html
%doc /%{_defaultdocdir}/qt3/tutorial

%files man
%{_mandir}/man*/*

%changelog -n qt3
* Tue Oct 16 2001 - adrian@suse.de
- add -DQT_INSTALL_PREFIX=/usr/lib/qt3.
  (no $QTDIR is needed at runtime anymore)
* Mon Oct 15 2001 - adrian@suse.de
- update to QT 3.0.0 final
  (the KDE 3 battle begins :)
* Fri Oct 05 2001 - adrian@suse.de
- add missing header files
- cleanup workarounds in spec file and add some new (but less ;)
* Mon Oct 01 2001 - adrian@suse.de
- update to beta6
* Tue Sep 18 2001 - adrian@suse.de
- update to beta5
* Wed Sep 05 2001 - adrian@suse.de
- okay, my last try ... cp -f has different return values on the
  distributions :(
* Tue Sep 04 2001 - adrian@suse.de
- disable postgres support for old distributions
  (now it also builds with SuSE 6.4)
* Mon Sep 03 2001 - adrian@suse.de
- fix broken links in include path
* Sun Sep 02 2001 - adrian@suse.de
- workaround bugs in Makefile to install all needed files
- remove -j4 behind make
* Tue Jun 19 2001 - adrian@suse.de
- split documentation from qt3-devel to qt3-doc
* Fri May 25 2001 - adrian@suse.de
- first try with QT 3.0.0 beta 1
  ( this package is far away from being perfect )
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Fri Apr 27 2001 - adrian@suse.de
- switch BuildIndex for SuSEhelp to false by default
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Apr 04 2001 - mfabian@suse.de
- add /etc/qt.fontguess (config file for Japanese and Korean
  fonts)
* Wed Mar 21 2001 - adrian@suse.de
- disable AA by default (still to many problems)
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to QT 2.3.0
  this makes qt-experimental obsolete
  (maybe still some problems with the nvidia driver, but the nv
  should work fine and the users are warned about nvidia since
  SuSE 7.1)
* Sun Mar 11 2001 - mfabian@suse.de
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  qt-static is an own package and no sub packages anymore
  fix/patch for qprintdialog is no longer needed
  add fix from Andreas Schwab for 64bit platforms
* Fri Jan 19 2001 - adrian@suse.de
- swap link and directory of html documentation. This makes
  trouble during update from older distributions
* Sat Jan 13 2001 - adrian@suse.de
- remove not necessary susehelp/htdig conf file
  remove file conflicts between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- added qt-experimental,qt-japanese,qt-korean to Obsoletes:
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
* Mon Jan 01 2001 - adrian@suse.de
- spec file fix
* Sun Dec 31 2000 - adrian@suse.de
- added small tools to qt-devel (thanks Dirk)
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- move docu from qtlib2 to qt
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3 and remove all the unneeded fix patches.
  added SuSE help conf files to qt-devel
* Tue Dec 12 2000 - schwab@suse.de
- Build with -O0 on ia64.
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic/kdelibs and fixed uic fix ..
  to drunk to drink more
* Thu Nov 30 2000 - adrian@suse.de
- fixed dif
* Thu Nov 30 2000 - adrian@suse.de
- added fix for uic and qiconview
* Wed Nov 29 2000 - adrian@suse.de
- fixed build on ppc
* Tue Nov 21 2000 - ro@suse.de
- spec fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
  added qpngio fix from waldo
* Fri Nov 10 2000 - adrian@suse.de
- fixed static config for <6.4 distris (no libmng)
* Tue Oct 31 2000 - adrian@suse.de
- split the qt package in
  qt
  qt-devel
  qt-extensions
  qt-man
  qt-static
  Added an ugly patch to get an uic with KDE support. The designer
  is broken in this package after this patch, so it is not packaged.
  The designer can be found in the qt-designer package
* Tue Oct 17 2000 - adrian@suse.de
- switch to -O0 for ppc
* Sat Oct 14 2000 - adrian@suse.de
- drop OpenGL support. Problems with Nvidia's binary only driver
- added fix from waldo (fixing memory leak in qpngio)
* Mon Oct 09 2000 - adrian@suse.de
- update the tar archiv (which contains a corrected classes.html file)
* Fri Oct 06 2000 - adrian@suse.de
- update to 2.2.1
  added static libs for libqt and libqt-mt
  added support for libmng
* Mon Oct 02 2000 - adrian@suse.de
- added missing header files
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Fri Sep 08 2000 - schwab@suse.de
- Update ia64 configuration.
* Fri Sep 08 2000 - adrian@suse.de
- added missing libqt-mt.so
  clean up in filelist
  changed copyright/license to GPL
* Thu Sep 07 2000 - adrian@suse.de
- update to qt 2.2.0 final
* Tue Aug 22 2000 - adrian@suse.de
- removed uic/moc bindings to libGL and other
* Fri Aug 18 2000 - adrian@suse.de
- update to qt 2.2.0 beta 2
  spec file rewritten
* Tue Jul 04 2000 - adrian@suse.de
- moved links from /usr/lib/qt/lib to /usr/lib/
* Thu Jun 22 2000 - adrian@suse.de
- add libqt.so.2 links in /usr/lib/qt/lib
* Fri Jun 16 2000 - adrian@suse.de
- moved libqt.so back to qtlib2, after religios war.
* Fri Jun 16 2000 - adrian@suse.de
- enable gif support again
* Fri Jun 16 2000 - adrian@suse.de
- moved static libs to qtdevel2
* Tue Jun 06 2000 - schwab@suse.de
- Reduce opt level on ia64.
* Tue Jun 06 2000 - adrian@suse.de
- fixed dependencies
* Tue May 30 2000 - adrian@suse.de
- readded mesadev in neededforbuild
* Tue May 30 2000 - adrian@suse.de
- update to 2.1.1
* Wed May 24 2000 - adrian@suse.de
- added mesadev in neededforbuild
  removed gif support (license issue)
* Tue May 16 2000 - adrian@suse.de
- added -fno-exception (smaller binaries)
* Fri May 12 2000 - adrian@suse.de
- fixed link  /usr/doc/packages/html
  using %%{_defaultdocdir}
  using %%{_mandir}
* Fri Apr 14 2000 - adrian@suse.de
- update to 2.1.0 final
  new package for all man pages
* Thu Apr 06 2000 - adrian@suse.de
- update to 2.1.0 beta 4
* Thu Mar 30 2000 - adrian@suse.de
- update to qtlib 2.1.0 beta 3
  the destination directory is not longer /usr/lib/qt !!!
  QTDIR=/usr/lib/qt-2.1.0
  There is also a link /usr/lib/qt2 to /usr/lib/qt-2.1.0
* Thu Mar 02 2000 - ro@suse.de
- removed obsolete part of patch
* Thu Mar 02 2000 - ro@suse.de
- configure doesn't know --mandir ... :(
* Thu Mar 02 2000 - ro@suse.de
- work-around for prepare-spec buglet
* Wed Mar 01 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 29 2000 - kettner@suse.de
- Apply patch for qfont_x11.cpp from warwick@warwick-bippy
* Mon Feb 28 2000 - kettner@suse.de
- increased font cache from 4MB to 9MB in order to
  speed up UNICODE fonts for YaST2
* Thu Nov 11 1999 - uli@suse.de
- removed netscape from neededforbuild
* Tue Nov 09 1999 - kettner@suse.de
- Removed mesa from Requires, as it is not required
* Fri Oct 22 1999 - kettner@suse.de
- Patch extensions/imageio/src/Makefile.in in order to get
  shared library of libimgio again. Worked in 2.00.
* Mon Oct 11 1999 - kettner@suse.de
- New version 2.0.2
* Tue Sep 28 1999 - uli@suse.de
- switched from Motif to lesstif
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Tue Jul 13 1999 - kettner@suse.de
- New version 2.00
* Mon Jul 12 1999 - kettner@suse.de
- New version 2.00
